Tag Archives: Шрифты

Перекомпиляция PHP для поддержки ttf-шрифтов и jpeg в Linux Ubuntu 8.10

Т.к. с некоторых пор из стандартных пакетов php была убрана поддержка ttf, приходится перекомпилировать php.

Немало поискав в интернете по этому вопросу, всё таки нашел, как это сделать: http://ez.no/developer/articles/the_ez_publish_web_server_environment/building_and_installing_php

1. Вначале копируем исходники новой версии php: http://www.php.net/downloads.php

2. Переходим в каталог, куда скопировали и распаковываем:

shell> cd /usr/local/src
shell> gunzip < /PATH/TO/php-4.x.x.tar.gz | tar xvf —

3. Конфигурируем:

./configure —with-apxs=/usr/local/apache/bin/apxs

—with-config-file-path=/usr/local/apache/conf —with-mysql —enable-memory-limit

—enable-mbstring —with-ttf —with-gd —with-jpeg-dir —enable-gd-native-ttf

—with-png-dir —with-freetype-dir —with-zlib —with-dom —enable-exif

4. Компилируем и инсталлируем:

make

make install

В процессе конфигурирования Вы можете получить такой результат:

Sorry, I was not able to successfully run APXS. Possible reasons:

1. Perl is not installed;

2. Apache was not compiled with DSO support (—enable-module=so);

3. ‘apxs’ is not in your path. Try to use —with-apxs=/path/to/apxs

The output of /usr/local/apache/bin/apxs follows

./configure: line 4521: /usr/local/apache/bin/apxs: No such file or directory

configure: error: Aborting

Получается, нужно установить Perl, а так же поддержку расширений в Apache (а для этого, нужно перекомпилировать Apache).

Если же поддержка Perl не нужна, то просто можно перекомпилировать с такими параметрами:

./configure —with-config-file-path=/usr/local/apache/conf —with-mysql

—enable-memory-limit —enable-mbstring —with-ttf —with-gd —with-jpeg-dir

—enable-gd-native-ttf —with-png-dir —with-freetype-dir —with-zlib —with-dom

—enable-exif

Разработка и создание сайтов, интернет-магазинов, веб-приложений, порталов, лэндингов, мобильных приложений (Киев)

Дизайн интерьеров